Subject: Re: [alpine-user] Guest unresponsive after Virtqueue size exceeded error

From: Fernando Casas Schössow <[email-masked]>
Date: Wed, 14 Jun 2017 20:51:49 +0000

Hi Jean-Louis,

Thanks for your reply.
So the problem you had was with the host kernel?
What do you mean by "binary search"? Did you look for a specific code change?

In my case I'm still not able to determine if the problem is at host level (qemu? kernel?), the combination of host software and guest drivers, etc.
I don't even understand the exact scenario where the "Virtqueue size exceeded" error appears. It seems to be just random. I'm really lost.

By the way this server is a single multi-core processor so pinning is not really applicable.

I changed the following setting in the Linux guests too, but it didn't really help:

vm.dirty_background_ratio=5
vm.dirty_ratio=10

I also asked in qemu mailing list but didn't get any replies yet.
I'm wondering if it makes sense to try the vanilla kernel instead of the grsec one.

Thanks,

Fer